@import "../../../../../scss/variables";
@import "../../../../../../node_modules/bulma/sass/utilities/_all";

.attribute {
    // background: $grey-background-color;
    // border-radius: 22px;
    border: 1px solid $grey-dark-color;
    color: $grey-dark-color;
    //margin: 0 0.8rem 0 0;
    padding: 0.2rem 1.5rem 0.4rem 1.5rem;
    //display: inline-block;
    //margin-bottom: 0.7rem;
    //text-align:center;
  }

.attributeName {
    font-weight: bold;
    display: inline-block;
    width:300px;
  }

.attributeType {
    // font-size: 80%;
}

.data-table {
  display: grid;
  max-width: 100%;
  height: 100%;
  overflow: auto;
  grid-template-rows: 44px repeat(auto-fill, 35px);
  grid-auto-rows: 35px;
  // grid-template-columns: repeat(var(--colNum), 1fr);
}

.item-grid {
  display: flex;
  align-items: center;
  padding-right: 1rem;
  padding-left: 1.25rem;
  cursor: pointer;
  background-color: white;
}

.visited {
  background-color: $table-selected-item-color;
}

.column-header {
  position: sticky;
  top: 0;
  background-color: $grey-background-color;
  display: flex;
  justify-content: flex-start;
  border-bottom: 1px solid $grey-super-light-color;
  padding-left: 1.25rem;
  // To be on top of the tooltip element (which has a position: relative)
  z-index: 1;

  span {
    cursor: pointer;
  }

  .sort-icons {
    display: flex;
    flex-direction: column;
    align-self: center;

    .icon {
      height: 0.2rem;
      width: unset;
      justify-content: center;
    }

    .icon-red {
      color: $tomato-color;
    }
  }

  .column-title {
    margin-left: 0.3rem;
    font-weight: 600;
    font-size: 0.75rem;
  }
}

.data-table > .column-header ~ .column-header {
  padding-left: none;
}

.arrows {
  svg {
    /* stylelint-disable-line */
    margin-right: 1rem;
    width: 16px;
    fill: $grey-dark-color;
    transform: rotate(-90deg);
  }
}